package com.xyzc.start.domain.bo;

import lombok.Data;
import org.hibernate.validator.constraints.Range;

/**
 * 生成订单类
 *
 * @author 杨兴卓
 */
@Data
public class CreateOrderBo {

    /**
     * 和type联合使用，0-会员卡id, 1-燃料包id
     */
    private Long id;

    /**
     * 1-会员卡, 2-燃料包，3-卡密兑换
     */
    @Range(min = 1, max = 3, message = "type参数错误，请输入{min}到{max}之间的值")
    private Integer type;
}
