package com.xyzc.start.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 基础用户会员卡大致信息
 *
 * @author 杨兴卓
 */
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BaseUserMemberCardVo implements Serializable {


    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 会员卡id
     */
    private Long memberId;

    /**
     * 会员卡图地址
     */
    private String ossUrl;

    /**
     * 会员卡名称
     */
    private String cardName;

    /**
     * 会员卡等级， 实例：0-基础卡，1-白银， 2-黄金
     */
    private Integer cardLevel;

    /**
     * 会员卡别名
     */
    private String cardAliasName;

    /**
     * 会员卡创建时间
     */
    private Date createTime;

    /**
     * 会员卡状态，0-生效，1-过期，2-冻结
     */
    private Integer status;

    /**
     * 到期时间
     */
    private Date expireTime;

    /**
     * 会员卡使用详情
     */
    private List<MemberCardUseDetail> memberCardUseDetail;

}


