package com.xyzc.start.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.xyzc.start.domain.BaseUserOrder;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 用户订单视图
 *
 * @author 杨兴卓
 */
@Data
@AutoMapper(target = BaseUserOrder.class)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BaseUserOrderVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 订单号
     */
    private Long id;

    /**
     * 基础用户id
     */
    private Long baseUserId;

    /**
     * 订单状态，0-未支付，1-支付中，2-已支付，3-支付超时
     */
    private Integer status;

    /**
     * 订单类型，0-会员卡充值，1-燃料包充值，2-卡密支付订单
     */
    private Integer orderType;

    /**
     * 代理商id
     */
    private Long agentMerId;

    /**
     * 支付方式， 1-微信支付，2-支付宝支付，3-银行卡支付，4-其他
     */
    private Integer payMethod;

    /**
     * 商品总额
     */
    private BigDecimal goodsAmount;

    /**
     * 应付金额
     */
    private BigDecimal payAmount;

    /**
     * 折扣金额
     */
    private BigDecimal discountAmount;

    /**
     * 逻辑删除
     */
    private String delFlag;

    /**
     * 版本号
     */
    private Integer version;

}
