package com.xyzc.start.service;

import com.xyzc.start.domain.query.AppQuery;
import com.xyzc.start.domain.vo.*;

import java.util.List;

/**
 * IdiscoverService
 *
 * @author 杨兴卓
 */
public interface IDiscoverService {

    /**
     * 分页查询绘画广场的图像
     *
     * @param graphicsId Long
     * @return List<DrawGraphicsVo>
     */
    List<DrawGraphicsSquareVo> queryGraphics(Long graphicsId, String keyword, Long length);

    /**
     * 分页查询绘画模型
     *
     * @param drawModelId
     * @return
     */
    List<DrawModelCollectVo> queryDrawModelList(Long drawModelId, String keyword, Long length);


    /**
     * 分页查询app列表
     *
     * @param query
     * @return
     */
    List<BaseUserSelectAppVo> queryAppPageList(AppQuery query);

    /**
     * 分页查询反向关键字
     *
     * @param reversePromptId
     * @param keyword
     * @return
     */
    List<DrawReversePromptVo> queryReversePromptList(Long reversePromptId, String keyword, Integer length);
}
